## org.biojava.bio.gui.sequence
Interface FeatureRenderer

All Known Subinterfaces:
  BeadFeatureRenderer, ImageMapRenderer

All Known Implementing Classes:
  AbstractBeadRenderer, ArrowedFeatureRenderer, BasicFeatureRenderer, BasicImapRenderer, EllipticalBeadRenderer, FeatureLabelRenderer, GlyphFeatureRenderer, RectangularBeadRenderer, RectangularImapRenderer, RoundRectangularBeadRenderer, SecondaryStructureFeatureRenderer, SixFrameZiggyRenderer, StackedFeatureRenderer, TickFeatureRenderer, ZiggyFeatureRenderer, ZiggyImapRenderer

    public interface FeatureRenderer

Author:
  Thomas Down, Matthew Pocock

Method Summary
`double` `getDepth(SequenceRenderContext src)`
`FeatureHolder` `processMouseEvent(FeatureHolder hits, SequenceRenderContext src, MouseEvent me)`
`void` `renderFeature(Graphics2D g2, Feature feat, SequenceRenderContext context)`

Method Detail

### renderFeature

    void renderFeature(Graphics2D g2,
                       Feature feat,
                       SequenceRenderContext context)

### getDepth

    double getDepth(SequenceRenderContext src)

### processMouseEvent

    FeatureHolder processMouseEvent(FeatureHolder hits,
                                    SequenceRenderContext src,
                                    MouseEvent me)